size = { 2048, 2048 }

-- 3D panel issue workaround
fixedPanelWidth = 2048
fixedPanelHeight = 2048

for i = 0, 8 do
	createProp("com/dkmp/strobe[".. i .. "]", "int");    
end


-- General
createProp("frame_time", "float", 0); -- time since last frame
createProp("flight_time", "float", 0); -- time since start of flight
createProp("zero", "float", 0); 
createProp("com/dkmp/TotalFuelUsed_kg", "float", 0); 
createProp("com/dkmp/InitialFuel", "float", 0); 

createProp("com/dkmp/timer", "float", 0); 
createProp("com/dkmp/hidepilot", "int", 0);

-- Animations

--- gear
createProp("anim/deflectionF", "float", 0); 

------------ Pushback
createProp("pushback/on", "float", 0);
createCommand("pushback/engage", "main_menu_subpanel")
createCommand("pushback/reverse", "main_menu_subpanel")

createProp("prep/pushT_long", "float", -7.5);
createProp("prep/pushT_lat", "float", 0);
createProp("prep/pushT_angle", "float", 0);
createProp("prep/pushT_is", "float", 1);
createProp("prep/pushT_tire", "float", 0);
createProp("prep/pushT_tireS", "float", 0);
createProp("prep/pushT_tire_rot", "float", 0);

createProp("prep/pushT_light1", "float", 0);
createProp("prep/pushT_light2", "float", 0);

createProp("prep/pushT_height", "float",-1.95);
createProp("prep/pushT_pitch", "float",1.5);

createProp("anim/wiper", "float", 0);

defineProperty("override_beacons_and_strobes", globalPropertyi("sim/flightmodel2/lights/override_beacons_and_strobes"))


set(override_beacons_and_strobes, 1)


function onAvionicsDone()
set(override_beacons_and_strobes, 0)
end




components={
time_logic{},
pushback{},
logic{},
}

